netatalk 4.4.3
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dir Struct Reference

`#include <directory.h>`

## Data Fields
bstring | d_fullpath
bstring | d_m_name
bstring | d_u_name
ucs2_t * | d_m_name_ucs2
qnode_t * | qidx_node
time_t | d_ctime
int | d_flags
cnid_t | d_pdid
cnid_t | d_did
uint32_t | d_offcnt
uint16_t | d_vid
uint32_t | d_rights_cache
time_t | dcache_ctime
ino_t | dcache_ino

## Field Documentation

## ◆ d_ctime

time_t dir::d_ctime

inode ctime, used and modified by reenumeration

## ◆ d_did

cnid_t dir::d_did

CNID of directory

## ◆ d_flags

int dir::d_flags

directory flags

## ◆ d_fullpath

bstring dir::d_fullpath

complete unix path to dir (or file)

## ◆ d_m_name

bstring dir::d_m_name

mac name

## ◆ d_m_name_ucs2

ucs2_t* dir::d_m_name_ucs2

mac name as UCS2

## ◆ d_offcnt

uint32_t dir::d_offcnt

offspring count

## ◆ d_pdid

cnid_t dir::d_pdid

CNID of parent directory

## ◆ d_rights_cache

uint32_t dir::d_rights_cache

cached rights combined from mode and possible ACL. Validate dcache_ctime == st_ctime before use! Value 0xffffffff indicates invalid/unset.

## ◆ d_u_name

bstring dir::d_u_name

unix name

## ◆ d_vid

uint16_t dir::d_vid

only needed in the dircache, because we put all directories in one cache.

## ◆ dcache_ctime

time_t dir::dcache_ctime

inode ctime, used and modified by dircache

## ◆ dcache_ino

ino_t dir::dcache_ino

inode number, used to detect changes in the dircache

## ◆ qidx_node

qnode_t* dir::qidx_node

pointer to position in queue index

The documentation for this struct was generated from the following file:

- include/atalk/directory.h